#!/bin/sh

# This only applies to UltraSPARC's
[ `/usr/bin/uname -m` = "sparc64" ] || exit 0

# The microcode loader binary and the microcode itself must exist.
if [ ! -x /usr/local/sbin/afbinit -o ! -f /usr/local/share/afbinit/afb.ucode ]; then
	exit
fi

case "$1" in
  start)
	# Make FB device list.
	afb_devs=`/bin/ls /dev/fb[0-7]`

	# Load microcode onto each card.
	for AFB in ${afb_devs}; do
		/usr/local/sbin/afbinit ${AFB} /usr/local/share/afbinit/afb.ucode > /dev/null
	done
	echo -n ' afbinit'
	;;
  stop|restart) # Nothing
	;;
  *)
	echo "Usage: `basename $0` start" >&2
	exit 1
	;;
esac

exit 0
